Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.communication.messages
Interface MessageType

public interface MessageType

An interface containing constants that will be sent before a message is sent, to tell what type of message is coming.

Author:
  Niklas Hallenfur, Karl Hasselström

Field Summary
`static int` | `AbortAction`
`static int` | `AbortAllClientActions`
`static int` | `AbortGame`
`static int` | `AcceptConnection`
`static int` | `ActionBlocked`
`static int` | `ActionCompleted`
`static int` | `ActionFailed`
`static int` | `ActionOnPosition`
`static int` | `ActionOnUnit`
`static int` | `ActionOnVoid`
`static int` | `AvailableRoles`
`static int` | `CoffeeBreak`
`static int` | `Disconnect`
`static int` | `GameOver`
`static int` | `GetAvailableRoles`
`static int` | `GetMap`
`static int` | `JoinAsRole`
`static int` | `Map`
`static int` | `MapPointInvisible`
`static int` | `MapPointsInvisible`
`static int` | `MapUpdate`
`static int` | `MapUpdates`
`static int` | `Ping`
`static int` | `PingReply`
`static int` | `RejectConnection`
`static int` | `StartGame`
`static int` | `TimeUpdate`
`static int` | `UnitDeleted`
`static int` | `UnitDestroyed`
`static int` | `UnitMessage`
`static int` | `UnitPositionUpdate`
`static int` | `UnitPropertyUpdate`
`static int` | `UnitVisible`

Field Detail

### AbortAction

    public static final int AbortAction

See Also:
  Constant Field Values

### AbortGame

    public static final int AbortGame

See Also:
  Constant Field Values

### AcceptConnection

    public static final int AcceptConnection

See Also:
  Constant Field Values

### ActionBlocked

    public static final int ActionBlocked

See Also:
  Constant Field Values

### ActionCompleted

    public static final int ActionCompleted

See Also:
  Constant Field Values

### ActionFailed

    public static final int ActionFailed

See Also:
  Constant Field Values

### ActionOnPosition

    public static final int ActionOnPosition

See Also:
  Constant Field Values

### ActionOnUnit

    public static final int ActionOnUnit

See Also:
  Constant Field Values

### ActionOnVoid

    public static final int ActionOnVoid

See Also:
  Constant Field Values

### AvailableRoles

    public static final int AvailableRoles

See Also:
  Constant Field Values

### Disconnect

    public static final int Disconnect

See Also:
  Constant Field Values

### GetAvailableRoles

    public static final int GetAvailableRoles

See Also:
  Constant Field Values

### GetMap

    public static final int GetMap

See Also:
  Constant Field Values

### JoinAsRole

    public static final int JoinAsRole

See Also:
  Constant Field Values

### Map

    public static final int Map

See Also:
  Constant Field Values

### MapPointInvisible

    public static final int MapPointInvisible

See Also:
  Constant Field Values

### MapPointsInvisible

    public static final int MapPointsInvisible

See Also:
  Constant Field Values

### MapUpdate

    public static final int MapUpdate

See Also:
  Constant Field Values

### MapUpdates

    public static final int MapUpdates

See Also:
  Constant Field Values

### Ping

    public static final int Ping

See Also:
  Constant Field Values

### PingReply

    public static final int PingReply

See Also:
  Constant Field Values

### RejectConnection

    public static final int RejectConnection

See Also:
  Constant Field Values

### StartGame

    public static final int StartGame

See Also:
  Constant Field Values

### TimeUpdate

    public static final int TimeUpdate

See Also:
  Constant Field Values

### UnitDeleted

    public static final int UnitDeleted

See Also:
  Constant Field Values

### UnitDestroyed

    public static final int UnitDestroyed

See Also:
  Constant Field Values

### UnitMessage

    public static final int UnitMessage

See Also:
  Constant Field Values

### UnitPositionUpdate

    public static final int UnitPositionUpdate

See Also:
  Constant Field Values

### UnitPropertyUpdate

    public static final int UnitPropertyUpdate

See Also:
  Constant Field Values

### UnitVisible

    public static final int UnitVisible

See Also:
  Constant Field Values

### AbortAllClientActions

    public static final int AbortAllClientActions

See Also:
  Constant Field Values

### GameOver

    public static final int GameOver

See Also:
  Constant Field Values

### CoffeeBreak

    public static final int CoffeeBreak

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD